### Struct

# Qmi MessageUimRegisterEventsInput

since: 1.22.4

#### Description [src]

    struct QmiMessageUimRegisterEventsInput {
      /* No available fields */
    }

The `QmiMessageUimRegisterEventsInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.22.4

#### Constructors

###### qmi_message_uim_register_events_input_new

Allocates a new `QmiMessageUimRegisterEventsInput`.

since: 1.22.4

#### Instance methods

###### qmi_message_uim_register_events_input_get_event_registration_mask

Get the ‘Event Registration Mask’ field from `self`.

since: 1.22.4

###### qmi_message_uim_register_events_input_ref

Atomically increments the reference count of `self` by one.

since: 1.22.4

###### qmi_message_uim_register_events_input_set_event_registration_mask

Set the ‘Event Registration Mask’ field in the message.

since: 1.22.4

###### qmi_message_uim_register_events_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.22.4